//
//  Friend.h
//  FriendBrowser
//
//  Created by Vishal Kapur on 7/8/11.
//  Copyright 2011 maha::software. All rights reserved.
//


@interface Friend : NSObject {
	NSString *friendID;
	NSString *name;
	NSString *locationName;
	NSString *schoolNames;
	NSString *employerNames;
	NSString *activities;
	NSString *relationshipStatus;
	
	UIImage *profilePic;
}

@property (nonatomic, retain) NSString *friendID;
@property (nonatomic, retain) NSString *name;
@property (nonatomic, retain) NSString *locationName;
@property (nonatomic, retain) NSString *schoolNames;
@property (nonatomic, retain) NSString *employerNames;
@property (nonatomic, retain) NSString *activities;
@property (nonatomic, retain) NSString *relationshipStatus;
@property (nonatomic, retain) UIImage *profilePic;

- (NSString *) profilePicURL;
- (NSString *)valueForFilter:(NSInteger)filterRow;
- (NSComparisonResult) compareWithFriend:(Friend *)newFriend;

@end
