    //
//  MSWebPageDisplayController.m
//  FriendBrowser
//
//  Created by Vishal Kapur on 7/9/11.
//  Copyright 2011 maha::software. All rights reserved.
//

#import "MSWebPageDisplayController.h"


@implementation MSWebPageDisplayController

- (id) initWithURL:(NSURL *)urlToDisplay title:(NSString *)navTitle
{
	if (self = [super init])
	{
		self.title = navTitle;
		
		_webView = [[UIWebView alloc] initWithFrame:CGRectMake(0, 0, 320, 480-20)];  // the frame setting is a hack
		_webView.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
		
		NSURLRequest *urlRequest = [NSURLRequest requestWithURL:urlToDisplay];
		[_webView loadRequest:urlRequest];
		_webView.scalesPageToFit = YES;			
	}
	return self;
}

- (void)viewDidLoad {
    [super viewDidLoad];
	
	[self.view addSubview:_webView];	
}

@end
