//
//  FacebookApiManager.h
//  FriendBrowser
//
//  Created by Vishal Kapur on 7/9/11.
//  Copyright 2011 maha::software. All rights reserved.
//

#import "FBConnect.h"

#define kFacebookAppID @"169326703132701"
#define kFacebookAccessTokenKey @"FBAccessTokenKey"
#define kFacebookExpirationKey @"FBExpirationDateKey"

#define kFacebookApiReadyNotification @"FacebookApiReadyNotification"

@interface FacebookApiManager : NSObject <FBSessionDelegate> {
	Facebook *_facebookApi;
}

@property (nonatomic, retain) Facebook *facebookApi;

+ (FacebookApiManager *)sharedFacebookApiManager;
- (void) login;
- (Facebook *)cloneFacebookApi;

- (void) initFacebookApi:(Facebook *)fbApi;

@end
