//
//  FilterViewController.h
//  FriendBrowser
//
//  Created by Vishal Kapur on 7/9/11.
//  Copyright 2011 maha::software. All rights reserved.
//

#define kFilterTextFieldRect CGRectMake(94, 11, 198, 30)
#define kFilterTotalNumberOfRows 4

typedef enum {
	FilterLocationRow = 0,
	FilterRelationshipStatusRow,
	FilterSchoolRow,	
	FilterEmployerRow,		
//	FilterInterestsRow,
} FilterRow;

@protocol FilterViewDelegate

- (void) didSaveNewFilters:(NSArray *)filters;

@end

@interface FilterViewController : UITableViewController {
	NSMutableArray *_filterFields;
	id<FilterViewDelegate> delegate;
}

@property (nonatomic, assign) id<FilterViewDelegate>delegate;

- (UITextField *) filterFieldAtRow:(NSInteger)row;
- (NSString *) fieldLabelAtRow:(NSInteger)row;

@end
