//
//  FriendBrowserAppDelegate.m
//  FriendBrowser
//
//  Created by Vishal Kapur on 7/8/11.
//  Copyright 2011 maha::software. All rights reserved.
//

#import "FriendBrowserAppDelegate.h"
#import "MainBrowseViewController.h"
#import "FacebookApiManager.h"

@implementation FriendBrowserAppDelegate

@synthesize window;


#pragma mark -
#pragma mark Application lifecycle

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {    
    
	mainBrowseViewController = [[MainBrowseViewController alloc] init];
	navController = [[UINavigationController alloc] initWithRootViewController:mainBrowseViewController];
	[self.window addSubview:[navController view]];
    [self.window makeKeyAndVisible];
    
    return YES;
}

- (BOOL)application:(UIApplication *)application handleOpenURL:(NSURL *)url 
{
	return [[FacebookApiManager sharedFacebookApiManager].facebookApi handleOpenURL:url];
}


#pragma mark -
#pragma mark Memory management

- (void)dealloc {
	[navController release];
	[mainBrowseViewController release];
    [window release];
    [super dealloc];
}


@end
